@use "../theme";

.validator-report-summary {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    width: 100%;

    @media only screen and (min-width: theme.$sm) {
        flex-direction: row;
    }

    .score-block {
        width: 100%;
        flex-shrink: 0;

        @media only screen and (min-width: theme.$sm) {
            width: 15rem;
        }
    }

    &--inactive {
        background-color: theme.$colorPaletteGray100;

        .icon {
            fill: theme.$colorPaletteGray100 !important;
        }
    }

    &__text {
        position: relative;
        width: 100%;
        margin-right: 0;
        margin-bottom: theme.$spacing05;
        display: flex;
        flex-direction: column;
        flex-grow: 1;

        @media only screen and (min-width: theme.$sm) {
            margin-top: 0;
            margin-right: theme.$spacing05;
            margin-bottom: 0;

            .button {
                justify-self: flex-end;
            }
        }

        &__title {
            justify-self: flex-start;
        }

        &__p {
            margin: 0;
            justify-self: flex-start;
        }

        &__footer {
            display: flex;
            flex-grow: 1;
            justify-self: flex-end;
            align-self: flex-end;
            align-items: flex-end;
            justify-content: flex-end;
        }
    }
}
